ii(1)

NAME
ii - irc it or irc improved

DESCRIPTION
ii is a minimalistic FIFO and filesystem based IRC client. It creates an irc directory tree with server, channel and nick name directories. In every directory a FIFO file (in) and and normal file (out) is placed. This will be for example ~/irc/irc.freenode.net/. The in file is used to communicate with the servers and the out files includes the server messages. For every channel and every nick name there will be new in and out files. The basic idea of this is to be able to communicate with an IRC server with basic command line tools. For example if you will join a channel just do echo "/j #channel" > in and ii creates a new channel directory with in and out file.

SYNOPSIS
ii [-s servername] [-p port] [-k environmentvariable] [-i prefix] [-n nickname] [-f realname]

OPTIONS

-s servername
    lets you override the default servername (irc.freenode.net)

-p port
    lets you override the default port (6667)

-k environment variable
    lets you specify an environment variable that contains your IRC password, e.g. IIPASS="foobar" ii -k FOOBAR. This is done in order to prevent other users from eavesdropping the server password via the process list.

-i prefix
    lets you override the default irc path (~/irc)

-n nickname
    lets you override the default nick ($USER)

-f realname
    lets you specify your real name associated with your nick

DIRECTORIES

In this directory the irc tree will be created. In this directory you
    will find a directory for your server (default: irc.freenode.net) in which the FIFO and the output file will be stored. If you join a channel a new directory with the name of the channel will be created in the ~/irc/$servername/ directory.

COMMANDS

mark yourself as away

join a channel or open private conversation with user

leave a channel or query

change the nick name

set the topic of a channel

Everything which is not a command will simply be posted into the channel or to the server.
    So if you need /who just write /WHO as described in the RFC to the server in FIFO.

Write wrappers, pagers or use your tools of choice to display the out file contents (loco, multitail, etc.).

CONTACT

Write to ii (at) modprobe (dot) de for suggestions, fixes, 7|-|>< ;) etc.

AUTHORS
Copyright © 2005-2006 by Anselm R. Garbe <garbeam (at) gmail (dot) com> and Copyright © 2005-2008 by Nico Golde <nico (at) ngolde (dot) de>

SEE ALSO
echo(1), tail(1),